PDA

View Full Version : Problems while Updating SLES11 SP1 -> SP2



vectorx
16-Mar-2012, 16:23
Because of the nice features of SP2 i decided to migrate pretty fast and today i tried to patch one of our test systems. I used the zypper method (but later found out that yast2-wagon seems to have the same issue). I think there must be something wrong somewhere because it seems the update can not be found. I have a valid subscription and the system is registered in the NCC.
I am guessing that there is something wrong with the package description.
Can someone help me with this issue?

Thanks!



Here is what I did:


testsrv01:~ # zypper ref -s
Refreshing service 'nu_novell_com'.
All services have been refreshed.
Repository 'SLES11-Extras' is up to date.
Repository 'SLES11-SP1-Pool' is up to date.
Repository 'SLES11-SP1-Updates' is up to date.
Repository 'vmware-tools-sles11sp1-x64' is up to date.
All repositories have been refreshed.
testsrv01:~ # zypper up -t patch
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Nothing to do.
testsrv01:~ # zypper up -t patch
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Nothing to do.
testsrv01:~ # grep '<product' /etc/products.d/*.prod
<product id="sle-11-server" schemeversion="0">
<productline>sles</productline>
<producttheme>SLES</producttheme>
testsrv01:~ # suse_register -d 2 -L /root/.suse_register.log
[...]
Execute command: /usr/bin/zypper --non-interactive ref --service
Execute command exit(0):
Registration finished successfully
Closing connection #0
SSLv3, TLS alert, Client hello (1):
testsrv01:~ # zypper ref -s
Refreshing service 'nu_novell_com'.
All services have been refreshed.
Repository 'SLES11-Extras' is up to date.
Repository 'SLES11-SP1-Pool' is up to date.
Repository 'SLES11-SP1-Updates' is up to date.
Repository 'vmware-tools-sles11sp1-x64' is up to date.
All repositories have been refreshed.
testsrv01:~ # zypper lr
# | Alias | Name | Enabled | Refresh
--+--------------------------------------------------+--------------------------------------------------+---------+--------
1 | SUSE-Linux-Enterprise-Server-11-SP1 11.1.1-1.152 | SUSE-Linux-Enterprise-Server-11-SP1 11.1.1-1.152 | Yes | No
2 | nu_novell_com:SLE11-SP1-Debuginfo-Pool | SLE11-SP1-Debuginfo-Pool | No | Yes
3 | nu_novell_com:SLE11-SP1-Debuginfo-Updates | SLE11-SP1-Debuginfo-Updates | No | Yes
4 | nu_novell_com:SLE11-WebYaST-SP1-Pool | SLE11-WebYaST-SP1-Pool | No | Yes
5 | nu_novell_com:SLE11-WebYaST-SP1-Updates | SLE11-WebYaST-SP1-Updates | No | Yes
6 | nu_novell_com:SLES11-Extras | SLES11-Extras | Yes | Yes
7 | nu_novell_com:SLES11-SP1-Pool | SLES11-SP1-Pool | Yes | Yes
8 | nu_novell_com:SLES11-SP1-Updates | SLES11-SP1-Updates | Yes | Yes
9 | vmware-tools-sles11sp1-x64 | vmware-tools-sles11sp1-x64 | Yes | Yes
testsrv01:~ # ll /etc/products.d/
total 4
-rw-r--r-- 1 root root 2645 May 12 2010 SUSE_SLES.prod
lrwxrwxrwx 1 root root 14 Dec 15 2010 baseproduct -> SUSE_SLES.prod

malcolmlewis
16-Mar-2012, 17:18
Because of the nice features of SP2 i decided to migrate pretty fast and
today i tried to patch one of our test systems. I used the zypper method
(but later found out that yast2-wagon seems to have the same issue). I
think there must be something wrong somewhere because it seems the
update can not be found. I have a valid subscription and the system is
registered in the NCC.
I am guessing that there is something wrong with the package
description.
Can someone help me with this issue?

Thanks!


Hi
AFAIK, they are still working on the deployment via zypper or wagon at
present. The only way to upgrade is via the DVD.

--
Cheers Malcolm °¿° (Linux Counter #276890)
SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.13-0.27-default
up 20:55, 2 users, load average: 0.00, 0.01, 0.05
CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU

vectorx
16-Mar-2012, 17:31
Ahh ok... since there are still manuals availible i thought that this would work...
I will try to do it with the DVD for now...

bio_woad
20-Mar-2012, 10:47
Hi,
we are currently running SLES-11sp1 (SLED-11sp1 on the clients) and we are more or less satisfied with this situation.
How long will SP1 be supported? Or in other words: There will be a point in time when we must upgrade to SP2 in order to still get patches?
Thanks a lot in advance ...

smflood
20-Mar-2012, 15:19
On 20/03/2012 09:54, bio woad wrote:

> we are currently running SLES-11sp1 (SLED-11sp1 on the clients) and we
> are more or less satisfied with this situation.
> How long will SP1 be supported? Or in other words: There will be a
> point in time when we must upgrade to SP2 in order to still get
> patches?

According to http://support.novell.com/lifecycle/ SUSE Linux Enterprise
(Server and Desktop) 11 SP1 shipped on 02 June 2010 whilst SLES11 SP2
was 27 February 2012 and SLED11 SP2 29 February 2012.

From http://support.novell.com/inc/lifecycle/linux.html (General
Support section):

"Once a new service pack is released, we [Novell (SUSE)] provide the
industry standard six-month window in which we [Novell (SUSE)] continue
to deliver the critical support you need for the previous service pack,
while you plan for, test and implement the new service pack release.

If your data center requires additional time to adequately design,
validate and test your execution plans, we [Novell (SUSE)] offer Long
Term Service Pack Support."

So based on the above dates, SLES11 SP1 is supported until 27 August
2012 and SLED11 SP1 until 29 August 2012.

For information on Long Term Service Pack Support please see
http://www.novell.com/linux/service-pack-support.html

HTH.
--
Simon
Novell/SUSE/NetIQ Knowledge Partner

------------------------------------------------------------------------
Do you work with Novell technologies at a university, college or school?
If so, your campus could benefit from joining the Novell Technology
Transfer Partner (TTP) program. See novell.com/ttp for more details.
------------------------------------------------------------------------

enovaklbank
21-Mar-2012, 11:57
Ahh ok... since there are still manuals availible i thought that this would work...
I will try to do it with the DVD for now...

The move-to-sp2 package is out. I'm upgrading one of our servers right now. Seems to work flawlessly.